Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2152 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

presun hladín (aj v bloku)

 Odpovědět Odpovědět archiv
Autor
cvirikovec Zobrazit panel
Diskutér
Diskutér

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 57
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: presun hladín (aj v bloku)
    Zasláno: 03.bře.2020 v 07:21
ahojte :)
Existuje príkaz alebo Lisp ktorý dokáže:
Presuň všetky entity vo výkrese (aj v blokoch) z hladiny xxx do hladiny yyy.
Teda niečo podobné ako je pre farby 2bb. 
dá sa to s časti robiť cez filter ale je to zdlhave. 

Zpět nahoru
deedea96 Zobrazit panel
Nováček
Nováček

Přihlášen: 03.bře.2020
Lokalita: ČR (Pha)
Používám:
BricsCAD
Stav: Offline
Bodů: 2
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace deedea96 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 03.bře.2020 v 08:12
"_laymrg"

alternativně lisp:

(defun laymerge (orig dest / ss1 i_ss ss2 i_ss2 e edata )
(if (tblsearch "layer" orig)
(progn
(if (not(tblsearch "layer" dest))
(command "_layer" "_n" dest "")
)
(setvar "_clayer" "0")
(if (setq ss1 (ssget "_X" (list(cons 8 orig))))
(progn
(setq i_ss 0)
(while (< i_ss (sslength ss1))
(setq edata (entget (ssname ss1 i_ss)))
(setq edata (subst (cons 8 dest) (cons 8 orig) edata))
(entmod edata)
(setq i_ss (1+ i_ss))
(princ)
)
)
)
;bloky
(setq ss2 (ssget "_X" (list(cons 0 "INSERT"))))
(setq i_ss2 0)
(while (< i_ss2 (sslength ss2))
(setq edata (entget (ssname ss2 i_ss2)))
(setq e (entnext (tblobjname "BLOCK" (cdr (assoc 2 edata)))))
(setq edata (entget e))
(if (equal (cdr(assoc 8 (entget e))) orig)
(progn
(setq edata (subst (cons 8 dest) (assoc 8 edata) edata))
(entmod edata)
(princ)
)
)
(while (setq e(entnext e))
(setq edata (entget e))
(if (equal (cdr(assoc 8 edata)) orig)
(progn
(setq edata (subst (cons 8 dest) (assoc 8 edata) edata))
(entmod edata)
(princ)
)
)
)
(setq i_ss2 (1+  i_ss2))
(princ)
)
(command "_purge" "_la" orig "_n")
(princ)
)
)
(princ)
)




Upravil deedea96 - 03.bře.2020 v 08:17
Zpět nahoru
Petr75 Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 16.úno.2007
Lokalita: ČR (JM)
Používám:
AutoCAD LT 2021
Stav: Offline
Bodů: 276
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Petr75 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 03.bře.2020 v 08:17
Dobrý den
Na to existuje příkaz "SLUČHL". V prvním kroku vyberete hladiny, z kterých chcete objekty přesouvat, v druhém kroku vyberete cílovou hladinu.
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
C3D 2020
Stav: Offline
Bodů: 1522
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 03.bře.2020 v 11:48
Merge layers je jasná volba. Velmi silný nástroj, dobré znát.
V novějších verzích je tento i v kontextovém menu správce hladin... 


Připojené náhledyPřihlaste se pro zobrazení plné verze - 1045/Merge_selected_layers.png


Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 1280:Jaké knihovny bloků obsahuje AutoCAD?
Tip 5276:Přesun objektů myší z jednoho výkresu do druhého.
Tip 6105:Ztlumení uzamčených hladin v AutoCADu (vybledlá barva)
Tip 247:Proč nejsou hladiny podle abecedy?
Tip 1746:Nefungující okno Vlastnosti (Žádný výběr) v AutoCADu 2002 (a vyšších). Nezobrazení hladiny v panelu.
Tip 3464:Jak přenést licenci programu Autodesk na jiný počítač?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,141 sekund.